# Welcome 🙏

## Steps

Creating a Digital Bill is a fairly straight forward process with our Bifurcated set of API's with custom configurable parameters

```
Step 1 - Create an Order with Custom Statuses and Payment methods,
You can also attach custom key values for further customization
of the order details.

Configurable Steps

- order_status could have different values according to 
the stage of the order i.e

"confirmed"
"Refund initiated"
"bill_updated"
"Cancelled"
"pending"
"bill_created"

- order_payment_status could have two types i.e

"pending"
"settled"

- extra_fields could be used to add custom params and 
shown on the bill at a later stage.

Step 2- Updating the orders with different statuses and value changes
E.g Pending order could be created first and updated when it is 
in a final stage and payment methods along with the pricing 
could be updated. 

Step 3- After the complete order is fixed and updated 
a digital bill for the same can be created :)

Three Simple steps to proceed with.
```

{% hint style="info" %}
Custom integration for billing with new additional parameters could be coordinated seperately.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.billeasy.in/welcome.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
